/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.interfaces;


import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.io.Serializable;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public interface IEmpresa extends VertxPojo, Serializable {

    /**
     * Setter for <code>public.empresa.empid</code>.
     */
    public IEmpresa setEmpid(Integer value);

    /**
     * Getter for <code>public.empresa.empid</code>.
     */
    public Integer getEmpid();

    /**
     * Setter for <code>public.empresa.empnome</code>.
     */
    public IEmpresa setEmpnome(String value);

    /**
     * Getter for <code>public.empresa.empnome</code>.
     */
    public String getEmpnome();

    /**
     * Setter for <code>public.empresa.empcnpj</code>.
     */
    public IEmpresa setEmpcnpj(String value);

    /**
     * Getter for <code>public.empresa.empcnpj</code>.
     */
    public String getEmpcnpj();

    /**
     * Setter for <code>public.empresa.emplocal</code>.
     */
    public IEmpresa setEmplocal(String value);

    /**
     * Getter for <code>public.empresa.emplocal</code>.
     */
    public String getEmplocal();

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IEmpresa
     */
    public void from(com.tabajara.base.tables.interfaces.IEmpresa from);

    /**
     * Copy data into another generated Record/POJO implementing the common interface IEmpresa
     */
    public <E extends com.tabajara.base.tables.interfaces.IEmpresa> E into(E into);

    @Override
    public default IEmpresa fromJson(io.vertx.core.json.JsonObject json) {
        setEmpid(json.getInteger("empid"));
        setEmpnome(json.getString("empnome"));
        setEmpcnpj(json.getString("empcnpj"));
        setEmplocal(json.getString("emplocal"));
        return this;
    }


    @Override
    public default io.vertx.core.json.JsonObject toJson() {
        io.vertx.core.json.JsonObject json = new io.vertx.core.json.JsonObject();
        json.put("empid",getEmpid());
        json.put("empnome",getEmpnome());
        json.put("empcnpj",getEmpcnpj());
        json.put("emplocal",getEmplocal());
        return json;
    }

}
